//function cpageLoad() {
//	var browser=navigator.userAgent.toLowerCase();
//	if(browser.indexOf('firefox')>=0){		
//		$("#ctl00_CP_FileUpload1").fileUpload({
//			'uploader' : '../../../UserControls/MultiFileUpload/uploader.swf',
//			'cancelImg': '../../../Images/cancel.png',
//			'script': '../../../UserControls/MultiFileUpload/Upload.ashx?ASPSESSID=' + $('#ctl00_CP_hdnSessionid').val(),
//			'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
//			'multi': true,
//			'auto': true
//		});
//	}
//	else {
//		$("#ctl00_CP_FileUpload1").fileUpload({
//			'uploader': '../../../UserControls/MultiFileUpload/uploader.swf',
//			'cancelImg': '../../../Images/cancel.png',
//			'script': '../../../UserControls/MultiFileUpload/Upload.ashx',
//			'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
//			'multi': true,
//			'auto': true
//		});
//	}
//}

var reader = new FileReader();
var filename = '';
reader.onload = function (e) {
}
function readURL(input) {
    if (input.files && input.files[0]) {
        reader.readAsDataURL(input.files[0]);
        ajaxFileUpload();
    }
}
function OpenFileUpload() {
    $('#flUpload').click();
}
function LoadingMessage(msg1, msg2) {
    $('#dvTestLoadingmsg').show();
    $('#spn1msg').html(msg1);
    $('#spn2msg').html(msg2);
    $('.hls-bg').show();
}
function CloseLoadingpopup() {
    $('#dvTestLoadingmsg').hide();
    $('.hls-bg').hide();
}
function ajaxFileUpload() {
    if (ValidateImageDetails()) {
        if (ValidateFileSize()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
            secureuri: false,
            fileElementId: 'flUpload',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '1' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space')
                    return
                }
                if (response == "-008") {
                    alert('Invalid Extention')
                    return
                }
                if (response == "-009") {
                    alert('Cannot include / or .. in a filename')
                    return;
                }
                /*var str = response;
				str = str.replace('<pre style="word-wrap: break-word; white-space: pre-wrap;">','');
				str = str.replace('</pre>','');				
				$('#hdnFileName').val(str);*/
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_Label2").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
  }
}
function isFile(file) {
    
    var _gif = /\.(gif|)$/i;
    var _jpeg = /\.(jpeg|)$/i;
    var _jpg = /\.(jpg|)$/i;
    var _png = /\.(png|)$/i;
    var count = document.getElementById('flUpload').files;
    var fileValu = document.getElementById('flUpload');
    var count_file = 0;
    for (var i = 0; i < count.length; i++) {
        var t = fileValu.files[i].name.split('.').pop();
        if (t.toLowerCase() == "jpg" || t.toLowerCase() == "jpeg") {
            count_file = count_file + 1;
        }
        else
        {
            filename = fileValu.files[i].name;
            return false;
        }
    }
    //if (_jpg.test(file) || _jpeg.test(file) )
    //    return true;
    //else
    //    return false;
}
function ValidateImageDetails() {
    var fields;
    fields = "";
    var file = document.getElementById('flUpload').value;
     
    var count = document.getElementById('flUpload').files;
    var iSize = 0;
    var Size = 0;
    //for (var i = 0; i < count.length; i++) {
    //     iSize = ($("#flUpload")[0].files[i].size / 1024);
    //     iSize = (Math.round((iSize / 1024) * 100) / 100);
    //     Size = iSize;
    //     var fileValu = document.getElementById('flUpload');
    //     if (Size > 1) {
    //         alert('File ' + fileValu.files[i].name + ' should be less than 1 MB ');
            
    //     }
    //}
    //if (isFile(document.getElementById('flUpload').value) == false || document.getElementById('flUpload').value == null) {
    //    fields = fields + "\n  Invalid file  ";
    //}
    //if (Size > 1) {
    //    alert('File should be less than 1 MB');
    //    return false;
    //}
    if (fields != "") {
        fields = "Please fill in the following details:\n------------------------------------" + fields + filename;
        alert(fields);
        return false;
    }
    else {
        return true;
    }
}
function ValidateFileSize() {
    var fields;
    fields = "";
    var file = document.getElementById('flUpload').value;

    var count = document.getElementById('flUpload').files;
    var iSize = 0;
    var Size = 0;

    for (var i = 0; i < count.length; i++) {
        iSize = ($("#flUpload")[0].files[i].size / 1024);
        //iSize = (Math.round((iSize / 1024) * 100) / 100);
        //Size = iSize;
        var fileValu = document.getElementById('flUpload');

        if ($('#ctl00_CP_AssignOptionalFeeTabContainer_AssignOptionalFee_AttachmentSizeHiddenField').val() != '') {
            if (iSize > $('#ctl00_CP_AssignOptionalFeeTabContainer_AssignOptionalFee_AttachmentSizeHiddenField').val()) {
                alert('File should be less than ' + $('#ctl00_CP_AssignOptionalFeeTabContainer_AssignOptionalFee_AttachmentSizeHiddenField').val() + ' KB');
                return false;
            }
            else {
                return true;
            }
        }
        else
        {
            return true;
        }
    }
 
   
}